%global glib2_version 2.53.4
%global cogl_version 1.21.2
%global json_glib_version 0.12.0
%global cairo_version 1.14.0
%global libinput_version 0.19.0
%global url_ver %%(echo %{version} | cut -d. -f1-2)

Summary:       Open Source software library for creating rich graphical user interfaces
Name:          clutter
Version:       1.26.4
Release:       5%{?dist}
License:       LGPLv2+
URL:           http://www.clutter-project.org/
Source0:       https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires: systemd-devel make gettext
BuildRequires: pkgconfig(atk) pkgconfig(cairo-gobject) >= %{cairo_version}
BuildRequires: pkgconfig(cogl-1.0) >= %{cogl_version} pkgconfig(gdk-pixbuf-2.0) pkgconfig(gdk-3.0)
BuildRequires: pkgconfig(gio-2.0) >= %{glib2_version} pkgconfig(gobject-introspection-1.0) >= 1.39.0
BuildRequires: pkgconfig(pangocairo) pkgconfig(xcomposite) pkgconfig(xdamage)
BuildRequires: pkgconfig(xi) pkgconfig(gudev-1.0) pkgconfig(json-glib-1.0) >= %{json_glib_version}
BuildRequires: mesa-libEGL-devel mesa-libGL-devel
BuildRequires: pkgconfig(libinput) >= %{libinput_version} pkgconfig(xkbcommon)
BuildRequires: pkgconfig(wayland-client) pkgconfig(wayland-cursor) pkgconfig(wayland-server)

Requires:      cairo >= %{cairo_version}
Requires:      cogl >= %{cogl_version}
Requires:      glib2 >= %{glib2_version}
Requires:      json-glib >= %{json_glib_version}
Requires:      libinput >= %{libinput_version}

Recommends:    mesa-dri-drivers

%description
Clutter is an open source software library for creating fast,
visually rich graphical user interfaces. The most obvious example
of potential usage is in media center type applications.
We hope however it can be used for a lot more.

%package devel
Summary:       Clutter development environment
Requires:      %{name} = %{version}-%{release}

%description devel
Header files and libraries for building a extension library for the
clutter

%package       doc
Summary:       Documentation for %{name}
Requires:      %{name} = %{version}-%{release}

%description   doc
Clutter is an open source software library for creating fast,
visually rich graphical user interfaces. The most obvious example
of potential usage is in media center type applications.
We hope however it can be used for a lot more.

This package contains documentation for clutter.

%package       tests
Summary:       Tests for the clutter package
Requires:      %{name} = %{version}-%{release}

%description   tests
The clutter-tests package contains tests that can be used to verify
the functionality of the installed clutter package.

%prep
%autosetup

%build
%configure \
        --enable-xinput \
        --enable-gdk-backend \
        --enable-installed-tests \
        --enable-egl-backend \
        --enable-evdev-input \
        --enable-wayland-backend \
        --enable-wayland-compositor

%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%find_lang clutter-1.0

%files -f clutter-1.0.lang
%license COPYING
%doc NEWS README.md
%{_libdir}/*.so.0
%{_libdir}/*.so.0.*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/*.typelib

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%dir %{_datadir}/clutter-1.0
%dir %{_datadir}/clutter-1.0/valgrind
%{_datadir}/clutter-1.0/valgrind/clutter.supp
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/*.gir

%files doc
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/clutter

%files tests
%{_libexecdir}/installed-tests/clutter
%{_datadir}/installed-tests

%changelog
* Mon Oct 16 2023 Shuo Wang <abushwang@tencent.com> - 1.26.4-5
- add version macro

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.26.4-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.26.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.26.4-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Dec 7 2022 cunshunxia <cunshunxia@tencent.com> - 1.26.4-1
- initial build
